Skip to main content
GET
/
applications
/
{applicationId}
/
traces
/
{traceId}
Get trace with spans and full evaluation results
curl --request GET \
  --url https://backend.trusys.ai/api/external/applications/{applicationId}/traces/{traceId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://backend.trusys.ai/api/external/applications/{applicationId}/traces/{traceId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://backend.trusys.ai/api/external/applications/{applicationId}/traces/{traceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "traceId": "<string>",
    "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "startTime": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z",
    "spanCount": 123,
    "spans": [
      {}
    ],
    "evaluationResults": [
      {}
    ]
  }
}
{
"success": false,
"message": "Invalid request body",
"errors": [
{
"path": "name",
"message": "name is required"
}
]
}
{
"message": "Error while verifying api key"
}
{
"success": false,
"message": "Application not found"
}

Authorizations

x-api-key
string
header
required

Your Trusys API key. Create and manage keys in the Trusys UI under Settings โ†’ API Keys.

Include the key on every request:

x-api-key: <your-api-key>

Path Parameters

applicationId
string<uuid>
required

Unique identifier (UUID) of the application. Returned by POST /applications.

traceId
string
required

Trace correlation ID.

Response

Trace detail with spans and evaluation results.

success
boolean
Example:

true

data
object